package com.ruoyi.project.ehs.service;

import java.util.List;
import com.ruoyi.project.ehs.domain.TFirehydrant;

/**
 * 消防栓Service接口
 * 
 * @author ruoyi
 * @date 2020-11-25
 */
public interface ITFirehydrantService 
{
    /**
     * 查询消防栓
     * 
     * @param id 消防栓ID
     * @return 消防栓
     */
    public TFirehydrant selectTFirehydrantById(Long id);

    /**
     * 查询消防栓列表
     * 
     * @param tFirehydrant 消防栓
     * @return 消防栓集合
     */
    public List<TFirehydrant> selectTFirehydrantList(TFirehydrant tFirehydrant);

    /**
     * 定时任务查询消防栓列表
     *
     * @param tFirehydrant 消防栓
     * @return 消防栓集合
     */
    public List<TFirehydrant> selectList(TFirehydrant tFirehydrant);

    /**
     * 新增消防栓
     * 
     * @param tFirehydrant 消防栓
     * @return 结果
     */
    public int insertTFirehydrant(TFirehydrant tFirehydrant);

    /**
     * 修改消防栓
     * 
     * @param tFirehydrant 消防栓
     * @return 结果
     */
    public int updateTFirehydrant(TFirehydrant tFirehydrant);

    /**
     * 批量删除消防栓
     * 
     * @param ids 需要删除的消防栓ID
     * @return 结果
     */
    public int deleteTFirehydrantByIds(Long[] ids);

    /**
     * 删除消防栓信息
     * 
     * @param id 消防栓ID
     * @return 结果
     */
    public int deleteTFirehydrantById(Long id);
}
